.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_VisibilityNotifier:

VisibilityNotifier
==================

**Inherits:** :ref:`Spatial<class_spatial>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Inherited By:** :ref:`VisibilityEnabler<class_visibilityenabler>`

**Category:** Core

Brief Description
-----------------

Detect when the node is visible on screen.

Member Functions
----------------

+--------------------------+-----------------------------------------------------------------------------------------------+
| :ref:`AABB<class_aabb>`  | :ref:`get_aabb<class_VisibilityNotifier_get_aabb>`  **(** **)** const                         |
+--------------------------+-----------------------------------------------------------------------------------------------+
| :ref:`bool<class_bool>`  | :ref:`is_on_screen<class_VisibilityNotifier_is_on_screen>`  **(** **)** const                 |
+--------------------------+-----------------------------------------------------------------------------------------------+
| void                     | :ref:`set_aabb<class_VisibilityNotifier_set_aabb>`  **(** :ref:`AABB<class_aabb>` rect  **)** |
+--------------------------+-----------------------------------------------------------------------------------------------+

Signals
-------

-  **enter_camera**  **(** :ref:`Object<class_object>` camera  **)**
Emitted when the VisibilityNotifier enters a :ref:`Camera<class_camera>`'s view.

-  **enter_screen**  **(** **)**
Emitted when the VisibilityNotifier enters the screen.

-  **exit_camera**  **(** :ref:`Object<class_object>` camera  **)**
Emitted when the VisibilityNotifier exits a :ref:`Camera<class_camera>`'s view.

-  **exit_screen**  **(** **)**
Emitted when the VisibilityNotifier exits the screen.


Description
-----------

The VisibilityNotifier is used to notify when its bounding box enters the screen, is visible on the screen, or when it exits the screen.

Member Function Description
---------------------------

.. _class_VisibilityNotifier_get_aabb:

- :ref:`AABB<class_aabb>`  **get_aabb**  **(** **)** const

Return the visibility bounding box of the VisibilityNotifier.

.. _class_VisibilityNotifier_is_on_screen:

- :ref:`bool<class_bool>`  **is_on_screen**  **(** **)** const

Return true if any part of the bounding box is on the screen.

.. _class_VisibilityNotifier_set_aabb:

- void  **set_aabb**  **(** :ref:`AABB<class_aabb>` rect  **)**

Set the visibility bounding box of the VisibilityNotifier.


